# scTDA

### This fork is no longer maintained. Please visit [github.com/pcamara/scTDA](https://www.github.com/pcamara/scTDA) to install the latest version of scTDA.

scTDA is an object oriented python library for topological data analysis of high-throughput single-cell RNA-seq
data. It includes tools for the preprocessing, analysis, and exploration of single-cell RNA-seq data based on topological representations.

To install scTDA run:

`pip install scTDA`

Alternatively, you can download the source code and run:

`python setup.py install`

For optimal visualization results it is strongly recommended to have Graphviz tools and PyGraphviz installed.

scTDA can be imported using the command:

`import scTDA`

A tutorial illustrating the basic scTDA workflow can be found in `doc/scTDA Tutorial.html`. The source notebook and data files for the 
tutorial can be downloaded [here](https://www.dropbox.com/s/ma80a641miteyxf/scTDA%20Tutorial.tar.gz?dl=0).

More details on the scTDA algorithm can be found in:

Rizvi, A. H.\*, Camara, P. G.\*, Kandror, E. K., Roberts, T. J., Scheiren, I., Maniatis, T., and Rabadan, R., 
"Single-Cell Topological RNA-Seq Analysis Reveals Insights Into Cellular Differentiation and Development", Nat. Biotechnol. (2017). In press.
[\* These authors contributed equally to this work.]
